> ## Name

> TextureTransform - 3D API texture transform

> ## Usage

> TextureTransform = float4x4(f1, f2, f3, f4, ... , f13, f14, f15, f16)

> ## Valid Enumerants

> fi: floating point values

> ## Description

> Set the values of the texture matrix. See the GL_TEXTURE description on the OpenGL glMatrixMode manual page for details. See the description of the D3DTS_TEXTUREi transform state type for the IDirect3DDevice9::SetTransform method.

> The standard reset callback sets the TextureTransform state to the identity matrix.

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> Texture1DEnable, Texture2DEnable, Texture3DEnable, TextureCubeMapEnable, TextureRectangleEnable, Texture1D, Texture2D, Texture3D, TextureCubeMap, TextureRectangle, TextureEnvColor, TextureEnvMode, TextureFactor, TextureMatrix, TextureTransformFlags